Major Printing Problem with v3

2018-05-21 12:24 PM - Grant Boxer

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.2 Regression?: No

Operating System: Win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26825

Description

I have been trying to print A3, A2, A1 and A0 size pages in landscape mode and QGIS keeps trying to print the map in portrait orientation

from the Map Layout. Printing A4 landscape appears OK. If I print the A3, A2, A1 or A0 map to pdf it creates the pdf file for printing OK.

Anyone have any suggestions? All page sizes and orientations checked.

Associated revisions

Revision a87a7b72 - 2018-07-30 09:12 PM - Nyall Dawson

[layouts] Attempted fix for direct printing page orientation issues

Seems the earlier hack may no longer be valid for Qt5.

Fixes #18398, #18994, #19142, #19279

Revision 44332c14 - 2018-07-31 02:24 AM - Nyall Dawson

[layouts] Attempted fix for direct printing page orientation issues

Seems the earlier hack may no longer be valid for Qt5.

Fixes #18398, #18994, #19142, #19279

(cherry-picked from a87a7b72d)

History

#1 - 2018-07-30 09:12 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|a87a7b72df6d3bbb71ac423cf61bf80a7de54354.
